features:
  secondary:
    - name: "GitLab hosted CodeSandbox for Client-Side Live Preview"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/web_ide/#client-side-evaluation'
      reporter: phikai
      stage: create
      categories:
        - 'Web IDE'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/27144'
      description: |
        In [GitLab 11.2 we released](/releases/2018/08/22/gitlab-11-2-released/#client-side-evaluation-in-web-ide) live preview powered by [CodeSandbox](https://codesandbox.io/) to allow you to preview simple Javascript apps and static sites in the Web IDE. This feature depends on scripts hosted by CodeSandbox, but due to security concerns around sending private code to a third party, some customers were not comfortable using this feature.

        GitLab.com is now hosting the required package to enable live preview in the Web IDE. This is the first step in enabling this feature across self-managed instances of GitLab. In a future release, we'll provide a [configuration option](https://gitlab.com/gitlab-org/gitlab/-/issues/208161) for self-managed instances to host the required libraries themselves, and we'll also look into enabling it by default for all GitLab instances.
